using CoreLibrary.Joueurs;
using CoreLibrary.Core;
using CoreLibrary.Events;
using Xunit;

namespace UnitTesting
{
    public class PartieTermineeEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            Plateau plateau = new Plateau(4, 12);
            Joueur[] gagnants = [new Joueur("Pauline"), new Joueur("Camille")];
            Joueur[] perdants = [new Joueur("Céleste")];

            PartieTermineeEventArgs evenement = new PartieTermineeEventArgs(gagnants, perdants);

            Assert.Equal(gagnants, evenement.Gagnants);
            Assert.Equal(perdants, evenement.Perdants);
        }

    }
}
